file Joomla! 1.5 frissítése PHP 7 alól

Több
2021 jan. 18 18:59 #1 Írta: Migmir
Joomla! 1.5 frissítése PHP 7 alól téma létrehozva Migmir által
 
Jo napot!

Egyetemi tarhelyen van egy honlap (osvenyek.elte.hu/) es megkertek, hogy tegyem rendbe.

Amit sikerult kideritenem. A joomla regi verzioja van fent (1.5) de az egyetemi rendszergazdak nem reg PHP verziot ugrottak (5rol 7ig) es ezaltal a joomla teljesen elszalt. Probaltam feltenni a 3.9es Joomlat, nem teljesen sikerult, de a migracioval meg jobban problemam lesz ahogy sejtem, mert a pluginokat nem tudom feltenni mar(vagy futatni). Ha jol sejtem, jol gondolom (eddig drupllal es Wordpressel dolgoztam csak) van valami megoldas erre?
 

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
2021 jan. 19 09:12 - 2021 jan. 19 09:18 #2 Írta: Balázs
Balázs válaszolt a következő témában: Joomla! 1.5 frissítése PHP 7 alól
Itt az alapvető probléma, hogy a Joomla! 1.5 az egy 13 évvel ezelőtti verzió és fő verziók közötti átjárás csak migrációval lehetséges. A fő verziók közötti váltás során a nem alapszintű bővítmények nagy valószínűséggel nem lesznek kompatibilisek egymással. Amit tenned kell, hogy felfrissíted a használt verziót a legutolsó verzióra és utána egy migrátor segítségével verziót váltasz. Ezt egyébként célszerű úgy megtenned, hogy saját gépen létrehozol egy fejlesztői környezetet pl. Wampserver használatával (itt annyiban trükkös, hogy egy régebbi verziót kell hasznánod, mert az új verziók már csak újabb PHP verziókat tartalmaznak, amelyeken nem fut a Joomla 1.5). Ezt követően kellene végrehajtanod a migrálását 1.5-ről 2.5-re a következő leírás alapján:  Joomla! 1.5 - 2.5 migrálás (jUpgrade) (joomlacms.hu)
Miután elérted a 2.5-ös főverziót, ez után frissítened kell a legutolsó verzióra belső frissítő rendszerrel. Majd ezt követően követned kell a következő leírást:  Joomla! 2.5 - 3.x migrálás lépésről lépésre (joomlacms.hu)
Végül, miután elérted a 3-as főverziót a belső frissítő rendszer segítségével fel kell frissítened a rendszert a legutolsó verzióra.

Ha bizalmas információt szeretnél közölni az adminokkal, akkor tedd az üzeneted tartalmát a [ confidential ][ /confidential ] címkék közé (szóközök nélkül).

Joomla! tanácsadás, oktatás, fejlesztés - joomlabs.hu
Utolsó szerkesztés: 2021 jan. 19 09:18 Balázs által.

Jelentkezz be, hogy te is részt vehess beszélgetésben!

  • kovacshazi
  • kovacshazi profilkép
  • Nem elérhető
  • Platinum Member
  • Platinum Member
  • Mindent lehet, csak akarni kell
Több
2021 jan. 19 09:50 #3 Írta: kovacshazi
kovacshazi válaszolt a következő témában: Joomla! 1.5 frissítése PHP 7 alól
A Daycounts.com (www.daycounts.com/) oldalról a JMigratort használva egyből válthatsz 1.5-ről 3.9-re. Az persze itt is igaz, ha sok kiegészítő volt az 1.5 oldalon akkor lehet, hogy azoknak már nincs 3.9-es verziója, így azokat helyettesíteni kell valami hasonló kieggel és nem fogod tudni migrálni ezen modulokat.

Segítség Joomla és VirtueMart webáruház készítéséhet, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!